Skip to main content
GET
/
api
/
v1
/
partners
/
{partnerId}
/
api-keys
List your API keys
curl --request GET \
  --url https://dev-api-partner.onecluster.co/api/v1/partners/{partnerId}/api-keys \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "responseCode": "00",
  "message": "Keys retrieved",
  "data": [
    {
      "keyId": "key-uuid-here",
      "prefix": "ubn_sb_aB",
      "environment": "SANDBOX",
      "status": "ACTIVE",
      "createdAt": "2026-03-25T10:00:00+01:00",
      "revokedAt": null,
      "gracePeriodEndsAt": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Your API key, formatted as: ApiKey ubn_sb_your_key_here

  • Sandbox keys start with ubn_sb_
  • Production keys start with ubn_pk_
  • Never use production keys during testing — they will charge real money

Headers

X-Correlation-ID
string<uuid>

Path Parameters

partnerId
string<uuid>
required

Your Partner ID (received during registration)

Response

List of API keys

The response is of type any.